"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Prev = exports.Next = exports.Last = exports.First = exports.Ellipsis = void 0;
exports.default = PaginationItem;

var _classnames = _interopRequireDefault(require("classnames"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _SafeAnchor = _interopRequireDefault(require("./SafeAnchor"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const propTypes = {
  eventKey: _propTypes.default.any,
  className: _propTypes.default.string,
  onSelect: _propTypes.default.func,
  disabled: _propTypes.default.bool,
  active: _propTypes.default.bool,
  activeLabel: _propTypes.default.string.isRequired
};
const defaultProps = {
  active: false,
  disabled: false,
  activeLabel: '(current)'
};

function PaginationItem(_ref) {
  let {
    active,
    disabled,
    className,
    style,
    activeLabel,
    children,
    ...props
  } = _ref;
  const Component = active || disabled ? 'span' : _SafeAnchor.default;
  return /*#__PURE__*/_react.default.createElement("li", {
    style: style,
    className: (0, _classnames.default)(className, {
      active,
      disabled
    })
  }, /*#__PURE__*/_react.default.createElement(Component, _extends({
    disabled: disabled
  }, props), children, active && /*#__PURE__*/_react.default.createElement("span", {
    className: "sr-only"
  }, activeLabel)));
}

PaginationItem.propTypes = propTypes;
PaginationItem.defaultProps = defaultProps;

function createButton(name, defaultValue) {
  var _class;

  let label = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : name;
  return _class = class extends _react.default.Component {
    render() {
      const {
        disabled,
        children,
        className,
        ...props
      } = this.props;
      const Component = disabled ? 'span' : _SafeAnchor.default;
      return /*#__PURE__*/_react.default.createElement("li", _extends({
        "aria-label": label,
        className: (0, _classnames.default)(className, {
          disabled
        })
      }, props), /*#__PURE__*/_react.default.createElement(Component, null, children || defaultValue));
    }

  }, _defineProperty(_class, "displayName", name), _defineProperty(_class, "propTypes", {
    disabled: _propTypes.default.bool
  }), _class;
}

const First = createButton('First', '\u00ab');
exports.First = First;
const Prev = createButton('Prev', '\u2039');
exports.Prev = Prev;
const Ellipsis = createButton('Ellipsis', '\u2026', 'More');
exports.Ellipsis = Ellipsis;
const Next = createButton('Next', '\u203a');
exports.Next = Next;
const Last = createButton('Last', '\u00bb');
exports.Last = Last;
//# sourceMappingURL=PaginationItem.js.map